Skip to content
Start here

Update Field Extractor

field_extractors.update(strextractor, FieldExtractorUpdateParams**kwargs) -> FieldExtractorUpdateResponse
PUT/accounts/{account_id}/field_extractors/{extractor}

Replaces all custom extraction rules for an extractor type. Omitted rules are deleted.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID.

minLength1
extractor: str

Extractor type.

minLength1
rules: Iterable[Rule]
fields: Iterable[RuleField]
expression: str
maxLength4096
minLength1
name: str
minLength1
ref: str
maxLength64
minLength1
description: Optional[str]
maxLength4096
ReturnsExpand Collapse
class FieldExtractorUpdateResponse:
extractor: str

Extractor type.

rules: List[Rule]
fields: List[RuleField]
expression: str

Wirefilter value expression.

name: str

Field name.

ref: str

Stable rule identifier.

description: Optional[str]

Human-readable rule description.

Update Field Extractor

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
field_extractor = client.field_extractors.update(
    extractor="llm_prompts",
    account_id="123456",
    rules=[{
        "fields": [{
            "expression": "x",
            "name": "x",
        }],
        "ref": "x",
    }],
)
print(field_extractor.extractor)
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}